#!/bin/sh

mkdir -p dir/
rm -rf dir/*                    # clean temp file + ldap database

# Start slapd daemon
/usr/local/libexec/slapd -d -1 -h "ldap://localhost:10389" -f slapd.conf

# Populate base
ldapadd -H ldap://localhost:10389 -D "cn=jimbob,dc=example,dc=com" -w dirtysecret -f init.ldif
ldapadd -H "ldap://localhost:10389/" -D "cn=admin,cn=config" -w config -f ldapPublicKey.ldif
